
const int buttonPin = 7;     // the number of the pushbutton pin
const int ledPin =  8;      // the number of the LED pin

// variables will change:
int buttonState = 0;         // variable for reading the pushbutton status

int ledState = LOW; 
unsigned long previousMillis = 0;
const long interval = 100; 

void setup() {
  pinMode(ledPin, OUTPUT);// initialize the LED pin as an output:      
  pinMode(buttonPin, INPUT);// initialize the pushbutton pin as an input:     
}

void loop(){
  unsigned long currentMillis = millis();
  
  buttonState = digitalRead(buttonPin);// read the state of the pushbutton value:

  // check if the pushbutton is pressed.
  // if it is, the buttonState is HIGH:
  if (buttonState == HIGH) {     
    // turn LED on:    
    digitalWrite(ledPin, LOW);  
  } 
  else {
   
  if(currentMillis - previousMillis >= interval) {// save the last time you blinked the LED
    previousMillis = currentMillis;   

    // if the LED is off turn it on and vice-versa:
    if (ledState == LOW)
      ledState = HIGH;
    else
      ledState = LOW;

    digitalWrite(ledPin, ledState);// set the LED with the ledState of the variable:
  }
  }
  
}
